Subject: [babel] Secdir last call review of draft-ietf-babel-source-specific-06

From: Rifaat Shekh-Yusef via Datatracker <[email-masked]>
Date: Sun, 25 Oct 2020 10:35:15 -0700

Reviewer: Rifaat Shekh-Yusef
Review result: Has Nits

Section 7, Second Paragraph:

  “A node MUST NOT send more that one Source Prefix sub-TLV in a TLV, and a node
   receiving more than one Source Prefix sub-TLV in a single TLV SHOULD
   ignore this TLV.  It MAY ignore the whole packet.”

1. “That” -> “Than”
2. This paragraph implies that a node might accept the TLV with more than one
Source Prefix sub-TLV, but it does not state when a node can do that. You might
want to elaborate on the conditions that a node is allowed to do that.

Otherwise, the security considerations section seems reasonable and addresses
the issues that might arise because of the added flexibility of the source
prefix.

Regards,
 Rifaat

---

From: Juliusz Chroboczek <[email-masked]>
Date: Wed, 28 Oct 2020 15:00:00 +0100

>   “A node MUST NOT send more that one Source Prefix sub-TLV in a TLV,
>    and a node receiving more than one Source Prefix sub-TLV in a single
>    TLV SHOULD ignore this TLV.  It MAY ignore the whole packet.”

> want to elaborate on the conditions that a node is allowed to do that.

Right.  I've made this a MUST, which reflects implementation practice.
Group, please feel free to object if you think this is the wrong choice.

-- Juliusz

---

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 28 Oct 2020 16:09:39 +0100

> Group, please feel free to object if you think this is the wrong

SGTM.

-Toke

---

From: David Schinazi <[email-masked]>
Date: Wed, 28 Oct 2020 16:09:26 -0700

SGTM2

On Wed, Oct 28, 2020 at 8:10 AM Toke Høiland-Jørgensen <toke=
[email-masked]> wrote:

> --
> last-call mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/last-call
>